<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>C programming Online Quiz</title>

	

	<style>
		body
		{
			margin: 0;
			padding: 0;
			background-image: linear-gradient(#fff,#c3f5ff);
		}
		h1
		{
			font-family: verdana;
			font-weight: bold;
			color: #0D27E8;
		}
		.main
		{
			margin-left: 28%;
		}
		h3
		{
			font-size: px;
		}

	</style>

</head>
<body>
	<div class="header">
		<center><h1>C programming Online Quiz</h1></center><br>
	</div>
	<div class="main">
		<form name="myform">
			<h3>Q1- What is the built in library function to adjust the allocated dynamic memory size.</h3><br>
			<input type="radio" name="name1" id="q1" value="a">A- malloc<br>
			<input type="radio" name="name1" id="q1" value="b">B- calloc<br>
			<input type="radio" name="name1" id="q1" value="c">C- realloc<br>
			<input type="radio" name="name1" id="q1" value="d">D- resize<br>
			

			<h3>Q2 - C is the successor of ___ programming language.</h3><br>
			<input type="radio" name="name2" id="q2" value="a">A- C++<br>
			<input type="radio" name="name2" id="q2" value="b">B- B++<br>
			<input type="radio" name="name2" id="q2" value="c">C- B<br>
			<input type="radio" name="name2" id="q2" value="d">D- Mini C<br>


			<h3>Q3 - The correct order of evaluation for the expression “z = x + y * z / 4 % 2 – 1”</h3><br>
			<input type="radio" name="name3" id="q3" value="a">A- */%=+-<br>
			<input type="radio" name="name3" id="q3" value="b">B- -/*%+=<br>
			<input type="radio" name="name3" id="q3" value="c">C- --+=*%/<br>
			<input type="radio" name="name3" id="q3" value="d">D- */%+-=<br>

			<h3>Q4 - C was primarily developed as </h3><br>
			<input type="radio" name="name4" id="q4" value="a">A- System programming language<br>
			<input type="radio" name="name4" id="q4" value="b">B- General purpose language<br>
			<input type="radio" name="name4" id="q4" value="c">C- Data processing language<br>
			<input type="radio" name="name4" id="q4" value="d">D- None of these<br>
			

			<h3>Q5 - Which one of the following is not a valid identifier </h3><br>
			<input type="radio" name="name5" id="q5" value="a">A- _stayfocused<br>
			<input type="radio" name="name5" id="q5" value="b">B- !stayfocused<br>
			<input type="radio" name="name5" id="q5" value="c">C- stay_focused<br>
			<input type="radio" name="name5" id="q5" value="d">D- stayfocused1<br>

			<h3>Q6 - Which is the only function all C programs must contain ? </h3><br>
			<input type="radio" name="name6" id="q6" value="a">A- start()<br>
			<input type="radio" name="name6" id="q6" value="b">B- system()<br>
			<input type="radio" name="name6" id="q6" value="c">C- main()<br>
			<input type="radio" name="name6" id="q6" value="d">D- printf()<br>

			<h3>Q7 - Find the output of the following program. void main(){ int i=01289;printf("%d",i);} </h3><br>
			<input type="radio" name="name7" id="q7" value="a">A- 0289<br>
			<input type="radio" name="name7" id="q7" value="b">B- 1289<br>
			<input type="radio" name="name7" id="q7" value="c">C- 713<br>
			<input type="radio" name="name7" id="q7" value="d">D- syntax error<br>

			<h3>Q8 - If ASCII value of 'x' is 120, then what is the value of the H, if <b>H=('x'-'w')/3;</b> </h3><br>
			<input type="radio" name="name8" id="q8" value="a">A- 1<br>
			<input type="radio" name="name8" id="q8" value="b">B- 2<br>
			<input type="radio" name="name8" id="q8" value="c">C- 3<br>
			<input type="radio" name="name8" id="q8" value="d">D- 0<br>

			<h3>Q9 - How many main() function we can have in our project?</h3><br>
			<input type="radio" name="name9" id="q9" value="a">A- 1<br>
			<input type="radio" name="name9" id="q9" value="b">B- 2<br>
			<input type="radio" name="name9" id="q9" value="c">C- No limit<br>
			<input type="radio" name="name9" id="q9" value="d">D- Depends on compiler<br>

			<h3>Q10 -Which gcc flag is used to enable all Compiler warnings?</h3><br>
			<input type="radio" name="name10" id="q10" value="a">A- gcc-W<br>
			<input type="radio" name="name10" id="q10" value="b">B- gcc-w<br>
			<input type="radio" name="name10" id="q10" value="c">C- gcc-Wall<br>
			<input type="radio" name="name10" id="q10" value="d">D- gcc-wall<br><br><br>
			<input type="submit" class="btn btn-primary" name="submit" name="submit" onclick="myfun()" style="margin-left: 25%;width: 150px;height: 40px;background-color: #14C614;">
		</form>
		<a href="../index.html">HOME</a><br><br>
	</div>


	<script>
		function myfun()
		{
			var data1=document.myform.q1.value;
			var data2=document.myform.q2.value;
			var data3=document.myform.q3.value;
			var data4=document.myform.q4.value;
			var data5=document.myform.q5.value;
			var data6=document.myform.q6.value;
			var data7=document.myform.q7.value;
			var data8=document.myform.q8.value;
			var data9=document.myform.q9.value;
			var data10=document.myform.q10.value;

			var count=0;
			if(data1=="c")
			{
				count++;
			}
			if(data2=="c")
			{
				count++;
			}
			if(data3=="d")
			{
				count++;
			}
			if(data4=="a")
			{
				count++;
			}
			if(data5=="b")
			{
				count++;
			}
			if(data6=="c")
			{
				count++;
			}
			if(data7=="d")
			{
				count++;
			}
			if(data8=="d")
			{
				count++;
			}
			if(data9=="a")
			{
				count++;
			}
			if(data10=="c")
			{
				count++;
			}
			alert("you gave "+ count +"correct answers.");

		}
	</script>
	
	


</body>
</html>